Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
PUT https://api.ap1.datadoghq.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.ap2.datadoghq.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.datadoghq.eu/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.ddog-gov.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.us2.ddog-gov.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.uk1.datadoghq.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.datadoghq.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.us3.datadoghq.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate https://api.us5.datadoghq.com/api/v2/security_monitoring/content_packs/{content_pack_id}/deactivate
개요 Cloud SIEM 콘텐츠 팩을 비활성화합니다. 이 작업은 콘텐츠 팩의
구성을 로그 필터 또는 보안 필터에서 제거하고 콘텐츠 팩 활성화 상태를 업데이트합니다.
This endpoint requires
any
of the following permissions:
security_monitoring_filters_writelogs_modify_indexesOAuth apps require the security_monitoring_filters_write authorization scope to access this endpoint.
인수 경로 파라미터 content_pack_id [required ]
The ID of the content pack to deactivate (for example, aws-cloudtrail).
응답 Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} 코드 예시 복사
# Path parameters export content_pack_id = "aws-cloudtrail" # Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X PUT "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/security_monitoring/content_packs/${content_pack_id}/deactivate " \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} "
"""
Deactivate content pack returns "Accepted" response
"""
from os import environ
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.security_monitoring_api import SecurityMonitoringApi
configuration = Configuration ()
configuration . access_token = environ [ "DD_BEARER_TOKEN" ]
configuration . unstable_operations [ "deactivate_content_pack" ] = True
with ApiClient ( configuration ) as api_client :
api_instance = SecurityMonitoringApi ( api_client )
api_instance . deactivate_content_pack (
content_pack_id = "aws-cloudtrail" ,
)
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Deactivate content pack returns "Accepted" response
require "datadog_api_client"
DatadogAPIClient . configure do | config |
config . access_token = ENV [ "DD_BEARER_TOKEN" ]
config . unstable_operations [ "v2.deactivate_content_pack" . to_sym ] = true
end
api_instance = DatadogAPIClient :: V2 :: SecurityMonitoringAPI . new
p api_instance . deactivate_content_pack ( "aws-cloudtrail" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Deactivate content pack returns "Accepted" response
package main
import (
"context"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
ctx = context . WithValue ( ctx , datadog . ContextAccessToken , os . Getenv ( "DD_BEARER_TOKEN" ))
configuration := datadog . NewConfiguration ()
configuration . SetUnstableOperationEnabled ( "v2.DeactivateContentPack" , true )
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewSecurityMonitoringApi ( apiClient )
r , err := api . DeactivateContentPack ( ctx , "aws-cloudtrail" )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `SecurityMonitoringApi.DeactivateContentPack`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Deactivate content pack returns "Accepted" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.SecurityMonitoringApi ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
defaultClient . setAccessToken ( System . getenv ( "DD_BEARER_TOKEN" ));
defaultClient . setUnstableOperationEnabled ( "v2.deactivateContentPack" , true );
SecurityMonitoringApi apiInstance = new SecurityMonitoringApi ( defaultClient );
try {
apiInstance . deactivateContentPack ( "aws-cloudtrail" );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling SecurityMonitoringApi#deactivateContentPack" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Deactivate content pack returns "Accepted" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_security_monitoring ::SecurityMonitoringAPI ;
#[tokio::main]
async fn main () {
let mut configuration = datadog ::Configuration ::new ();
configuration . set_unstable_operation_enabled ( "v2.deactivate_content_pack" , true );
let api = SecurityMonitoringAPI ::with_config ( configuration );
let resp = api
. deactivate_content_pack ( "aws-cloudtrail" . to_string ())
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Deactivate content pack returns "Accepted" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ({
authMethods : {
AuthZ : {
accessToken : process.env.DD_BEARER_TOKEN as string ,
},
},
});
configuration . unstableOperations [ "v2.deactivateContentPack" ] = true ;
const apiInstance = new v2 . SecurityMonitoringApi ( configuration );
const params : v2.SecurityMonitoringApiDeactivateContentPackRequest = {
contentPackId : "aws-cloudtrail" ,
};
apiInstance
. deactivateContentPack ( params )
. then (( data : any ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"